Package org.wso2.carbon.deployment.synchronizer.internal

## Class DeploymentSynchronizerComponent

- java.lang.Object
- - org.wso2.carbon.deployment.synchronizer.internal.DeploymentSynchronizerComponent

-     public class DeploymentSynchronizerComponent
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DeploymentSynchronizerComponent()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `activate​(org.osgi.service.component.ComponentContext context)` |
    `protected void` | `addArtifactRepository​(ArtifactRepository artifactRepository)` |
    `protected void` | `deactivate​(org.osgi.service.component.ComponentContext context)` |
    `protected void` | `removeArtifactRepository​(ArtifactRepository artifactRepository)` |
    `protected void` | `setConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService service)` |
    `protected void` | `setRegistryService​(org.wso2.carbon.registry.core.service.RegistryService service)` |
    `protected void` | `unsetConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService service)` |
    `protected void` | `unsetRegistryService​(org.wso2.carbon.registry.core.service.RegistryService service)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeploymentSynchronizerComponent

          public DeploymentSynchronizerComponent()

  - ### Method Detail

    - #### activate

          protected void activate​(org.osgi.service.component.ComponentContext context)

    - #### deactivate

          protected void deactivate​(org.osgi.service.component.ComponentContext context)

    - #### setConfigurationContextService

          protected void setConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService service)

    - #### unsetConfigurationContextService

          protected void unsetConfigurationContextService​(org.wso2.carbon.utils.ConfigurationContextService service)

    - #### addArtifactRepository

          protected void addArtifactRepository​(ArtifactRepository artifactRepository)

    - #### removeArtifactRepository

          protected void removeArtifactRepository​(ArtifactRepository artifactRepository)

    - #### setRegistryService

          protected void setRegistryService​(org.wso2.carbon.registry.core.service.RegistryService service)

    - #### unsetRegistryService

          protected void unsetRegistryService​(org.wso2.carbon.registry.core.service.RegistryService service)